lp:~maas-maintainers/maas/packaging

Created by Julian Edwards on 2012-01-18 and last modified on 2015-07-20
Get this branch:
bzr branch lp:~maas-maintainers/maas/packaging
Members of MAAS Maintainers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
MAAS Maintainers
Project:
MAAS
Status:
Mature

Recent revisions

417. By Scott Moser on 2015-07-20

[r=andreserl,ltrager,deej][bug=1474417][author=smoser] maas-proxy: sync apt specific squid config with squid-deb-proxy

This improves maas-proxy for handling apt specific files. And
generally syncs it up with squid-deb-proxy's config files.

416. By Andres Rodriguez on 2015-07-14

[r=andreserl][bug=1471946][author=allenap] Ensures that regiond.conf and clusterd.conf are both initialised after package installation.

maas-clusterd will also be restarted if the shared secret is missing. Previously it would never be started.

415. By Andres Rodriguez on 2015-07-13

[r=andreserl][bug=][author=andreserl] - debian/maas-region-controller.postinst: Ensure DNS config
    migration is always run.
* debian/control: Make maas-dns a Dependy of maas-region-controller.

414. By Andres Rodriguez on 2015-07-09

[r=mpontillo][bug=1413388][author=andreserl] LP: #1413388 Handle upgrades to migrate named.conf.settings

413. By Raphaël Badin on 2015-07-04

[r=rbanffy][bug=1413388][author=rvb] Drop dependency on python-iscpy: the code has been integrated into MAAS.

412. By Gavin Panella on 2015-07-03

[r=rbanffy][bug=][author=allenap] Remove hard tabs from most files in the packaging scripts.

The mix of hard and soft tabs causes pain when altering the packaging, not least visually misaligned diffs.

411. By Andres Rodriguez on 2015-07-03

[r=andreserl][bug=][author=andreserl] Improve packaging to correctly handle upgrades. All upgrades from <=1.8 to 1.9+ will result in transitioning the previous config into the new config. From upgrades between 1.9 to 1.9+, the configs will remain untouched.

410. By Andres Rodriguez on 2015-07-02

[r=andreserl][bug=][author=andreserl] Improve packaging to correctly handle upgrades. All upgrades from <=1.8 to 1.9+ will result in transitioning the previous config into the new config. From upgrades between 1.9 to 1.9+, the configs will remain untouched.

409. By Gavin Panella on 2015-07-02

[r=andreserl][bug=][author=allenap] Use new local configuration support for the cluster.

408. By Raphaël Badin on 2015-06-26

[r=blake-rouse][bug=1436279][author=rvb] Load proxy_wstunnel in order to be able to proxy the websocket connections through apache.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.